## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           seamly2d
Version:        2024.5.27.150
Release:        %autorelease
Summary:        Open source patternmaking software

License:        GPL-3.0-or-later AND LGPL-2.1-only and BSD-2-Clause
URL:            https://seamly.io/
VCS:            https://github.com/FashionFreedom/Seamly2D
Source:         %{vcs}/archive/v%{version}/%{name}-v%{version}.tar.gz

#BuildRequires:  chrpath
BuildRequires:  desktop-file-utils
BuildRequires:  doxygen
BuildRequires:  gcc-c++
BuildRequires:  git
BuildRequires:  libappstream-glib
BuildRequires:  qt5-rpm-macros
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtmultimedia-devel
BuildRequires:  qt5-qtsvg-devel
BuildRequires:  qt5-qttools-devel
BuildRequires:  qt5-qtxmlpatterns-devel
# Used in tests
BuildRequires:  xorg-x11-server-Xvfb

Requires:       hicolor-icon-theme
Requires:       poppler-utils

%description
Seamly2D is pattern design software to create scalable, sharable
custom-fit patterns using bespoke tailoring, haute couture, and
historical pattern drafting techniques. Seamly2D saves time and
improves fit by creating patterns as reusable, editable parametric
CAD engineering documents.

Unlike other pattern design software, Seamly2D allows designers
to have complete control of the patternmaking process. Each
Seamly2D pattern can read multi-size tables for boutique sizing
and read individual measurement files for custom-fit.

Seamly2D is open source software released under the GPLv3+ license.
Seamly2D is available for Windows, MacOS, and Linux.

Learn more about Seamly2D by joining our friendly, active user forum
and reading our Code of Conduct. On our forum you may post questions
about patternmaking and Seamly2D in any language you choose, as sewing
terms are rich with idioms that are not always translatable word-for-word.

%prep
%autosetup -n Seamly2D-%{version}
# Remove rpaths
sed -i '/QMAKE_RPATHDIR/d' src/app/seamly2d/seamly2d.pro
sed -i '/QMAKE_RPATHDIR/d' src/app/seamlyme/seamlyme.pro

%build
%qmake_qt5
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}
#chrpath --delete %{buildroot}/%{_bindir}/seamly2d
#chrpath --delete %{buildroot}/%{_bindir}/semlyme

%check
xvfb-run -a make check
desktop-file-validate %{buildroot}/%{_datadir}/applications/seamly2d.desktop
desktop-file-validate %{buildroot}/%{_datadir}/applications/seamlyme.desktop	
#appstream-util validate-relax --nonet \
#	%{buildroot}%{_metainfodir}/de.wedesoft.%{name}.appdata.xml
	
 
%files
%license LICENSE
%license LICENSE.md
%doc AUTHORS.txt
%{_bindir}/seamly2d
%{_bindir}/seamlyme
%{_datadir}/applications/seamly2d.desktop
%{_datadir}/applications/seamlyme.desktop
%{_datadir}/pixmaps/*.png
%dir %{_datadir}/seamly2d/
%dir %{_datadir}/seamly2d/labels
%{_datadir}/seamly2d/labels/*.xml
%dir %{_datadir}/seamly2d/tables
%dir %{_datadir}/seamly2d/tables/multisize
%{_datadir}/seamly2d/tables/multisize/*.smms
%dir %{_datadir}/seamly2d/tables/templates
%{_datadir}/seamly2d/tables/templates/*.smis

%changelog
* Sun Jun 02 2024 John Doe <packager@example.com> - 2024.5.27.150-1
- Uncommitted changes
